Missing mysql deps installing on Fedora FC11

General discussion forum for the Zend Server
Post Reply
colinflack
Posts: 11
Joined: Tue May 19, 2009 10:17 am

Missing mysql deps installing on Fedora FC11

Post by colinflack » Thu Jul 02, 2009 6:26 am

can somebody please help me install on Fedora FC11...

yum install zend-ce

Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package zend-ce.noarch 0:4.0-127 set to be updated
--> Processing Dependency: php5-common-extensions-zend-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: zend-base-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: zend-extensions-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: zend-ce-doc for package: zend-ce-4.0-127.noarch
--> Processing Dependency: php-dev-zend-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: mod-php5-apache2-zend-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: gui-zend-ce for package: zend-ce-4.0-127.noarch
--> Processing Dependency: zend-framework-ce for package: zend-ce-4.0-127.noarch
--> Running transaction check
---> Package gui-zend-ce.noarch 0:4.0.27-40 set to be updated
--> Processing Dependency: libframework1-zend-ce for package: gui-zend-ce-4.0.27-40.noarch
--> Processing Dependency: optimizer-plus-zend-ce for package: gui-zend-ce-4.0.27-40.noarch
--> Processing Dependency: data-cache-zend-ce for package: gui-zend-ce-4.0.27-40.noarch
--> Processing Dependency: lighttpd-zend-ce for package: gui-zend-ce-4.0.27-40.noarch
--> Processing Dependency: php-fcgi-zend-ce for package: gui-zend-ce-4.0.27-40.noarch
---> Package mod-php5-apache2-zend-ce.x86_64 0:5.2.9-72 set to be updated
---> Package php-dev-zend-ce.x86_64 0:5.2.9-32 set to be updated
---> Package php5-common-extensions-zend-ce.noarch 0:1.0-75 set to be updated
--> Processing Dependency: php-mime-magic-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-tokenizer-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-oci8-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-mhash-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-gd-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-ctype-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-pdo-pgsql-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-xsl-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-soap-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-pdo-mysql-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-bcmath-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-xmlreader-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-intl-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-gettext-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-curl-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-xmlwriter-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-mbstring-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-sqlite-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-tidy-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-pdo-oci-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-zip-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-mysqli-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-mcrypt-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-imap-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-bz2-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-ftp-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-sockets-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-pgsql-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-ldap-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-json-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-calendar-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-exif-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-mysql-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
--> Processing Dependency: php-posix-zend-ce for package: php5-common-extensions-zend-ce-1.0-75.noarch
---> Package zend-base-ce.x86_64 0:1.0-68 set to be updated
---> Package zend-ce-doc.noarch 0:1.0-57 set to be updated
---> Package zend-extensions-ce.noarch 0:1.0-0 set to be updated
--> Processing Dependency: extension-manager-zend-ce for package: zend-extensions-ce-1.0-0.noarch
--> Processing Dependency: zendutils-zend-ce for package: zend-extensions-ce-1.0-0.noarch
--> Processing Dependency: debugger-zend-ce for package: zend-extensions-ce-1.0-0.noarch
---> Package zend-framework-ce.noarch 0:1.8.2-11 set to be updated
--> Running transaction check
---> Package data-cache-zend-ce.x86_64 0:4.0.41-10 set to be updated
---> Package debugger-zend-ce.x86_64 0:5.2.22-45 set to be updated
---> Package extension-manager-zend-ce.x86_64 0:5.1.59-16 set to be updated
---> Package libframework1-zend-ce.noarch 0:1.8.1-55 set to be updated
---> Package lighttpd-zend-ce.x86_64 0:1.4.22-77 set to be updated
---> Package optimizer-plus-zend-ce.x86_64 0:4.0.32-10 set to be updated
---> Package php-bcmath-zend-ce.x86_64 0:5.2.9-22 set to be updated
---> Package php-bz2-zend-ce.x86_64 0:5.2.9-26 set to be updated
---> Package php-calendar-zend-ce.x86_64 0:5.2.9-22 set to be updated
---> Package php-ctype-zend-ce.x86_64 0:5.2.9-22 set to be updated
---> Package php-curl-zend-ce.x86_64 0:5.2.9-26 set to be updated
---> Package php-exif-zend-ce.x86_64 0:5.2.9-21 set to be updated
---> Package php-fcgi-zend-ce.x86_64 0:5.2.9-40 set to be updated
---> Package php-ftp-zend-ce.x86_64 0:5.2.9-24 set to be updated
---> Package php-gd-zend-ce.x86_64 0:5.2.9-22 set to be updated
---> Package php-gettext-zend-ce.x86_64 0:5.2.9-21 set to be updated
---> Package php-imap-zend-ce.x86_64 0:5.2.9-24 set to be updated
---> Package php-intl-zend-ce.x86_64 0:5.2.9-9 set to be updated
---> Package php-json-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-ldap-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-mbstring-zend-ce.x86_64 0:5.2.9-23 set to be updated
---> Package php-mcrypt-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-mhash-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-mime-magic-zend-ce.x86_64 0:5.2.9-24 set to be updated
---> Package php-mysql-zend-ce.x86_64 0:5.2.9-22 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-mysql-zend-ce-5.2.9-22.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-mysql-zend-ce-5.2.9-22.x86_64
---> Package php-mysqli-zend-ce.x86_64 0:5.2.9-21 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-mysqli-zend-ce-5.2.9-21.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-mysqli-zend-ce-5.2.9-21.x86_64
---> Package php-oci8-zend-ce.x86_64 0:5.2.9-27 set to be updated
--> Processing Dependency: liboci8-zend for package: php-oci8-zend-ce-5.2.9-27.x86_64
--> Processing Dependency: libclntsh.so.11.1()(64bit) for package: php-oci8-zend-ce-5.2.9-27.x86_64
---> Package php-pdo-mysql-zend-ce.x86_64 0:5.2.9-25 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-pdo-mysql-zend-ce-5.2.9-25.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-pdo-mysql-zend-ce-5.2.9-25.x86_64
---> Package php-pdo-oci-zend-ce.x86_64 0:5.2.9-28 set to be updated
---> Package php-pdo-pgsql-zend-ce.x86_64 0:5.2.9-22 set to be updated
---> Package php-pgsql-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-posix-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-soap-zend-ce.x86_64 0:5.2.9-21 set to be updated
---> Package php-sockets-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-sqlite-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-tidy-zend-ce.x86_64 0:5.2.9-23 set to be updated
---> Package php-tokenizer-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-xmlreader-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-xmlwriter-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-xsl-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package php-zip-zend-ce.x86_64 0:5.2.9-20 set to be updated
---> Package zendutils-zend-ce.x86_64 0:1.0.48-7 set to be updated
--> Running transaction check
---> Package liboci8-zend.x86_64 0:11-1 set to be updated
---> Package php-mysql-zend-ce.x86_64 0:5.2.9-22 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-mysql-zend-ce-5.2.9-22.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-mysql-zend-ce-5.2.9-22.x86_64
---> Package php-mysqli-zend-ce.x86_64 0:5.2.9-21 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-mysqli-zend-ce-5.2.9-21.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-mysqli-zend-ce-5.2.9-21.x86_64
---> Package php-pdo-mysql-zend-ce.x86_64 0:5.2.9-25 set to be updated
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: php-pdo-mysql-zend-ce-5.2.9-25.x86_64
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: php-pdo-mysql-zend-ce-5.2.9-25.x86_64
--> Finished Dependency Resolution
php-pdo-mysql-zend-ce-5.2.9-25.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-pdo-mysql-zend-ce-5.2.9-25.x86_64 (Zend)
php-mysqli-zend-ce-5.2.9-21.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-mysqli-zend-ce-5.2.9-21.x86_64 (Zend)
php-mysql-zend-ce-5.2.9-22.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-mysql-zend-ce-5.2.9-22.x86_64 (Zend)
php-pdo-mysql-zend-ce-5.2.9-25.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-pdo-mysql-zend-ce-5.2.9-25.x86_64 (Zend)
php-mysqli-zend-ce-5.2.9-21.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-mysqli-zend-ce-5.2.9-21.x86_64 (Zend)
php-mysql-zend-ce-5.2.9-22.x86_64 from Zend has depsolving problems
--> Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-mysql-zend-ce-5.2.9-22.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-mysql-zend-ce-5.2.9-22.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-pdo-mysql-zend-ce-5.2.9-25.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-pdo-mysql-zend-ce-5.2.9-25.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-mysql-zend-ce-5.2.9-22.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by package php-mysqli-zend-ce-5.2.9-21.x86_64 (Zend)
Error: Missing Dependency: libmysqlclient.so.15()(64bit) is needed by package php-mysqli-zend-ce-5.2.9-21.x86_64 (Zend)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest

jess04
Posts: 628
Joined: Thu Jan 15, 2009 3:37 pm

Re: Missing mysql deps installing on Fedora FC11

Post by jess04 » Thu Jul 02, 2009 7:15 am

Hello,


This issue is already fixed. Comes from FC switching to MySQL version 5.1.32 which includes libmysqlclient.so.16 and not libmysqlclient.so.15 as MySQL 5.0.x did.
The repositories will be synced shortly. I will post here once this happens.

Thanks for reporting,
May the source be with you,

Jess Portnoy

colinflack
Posts: 11
Joined: Tue May 19, 2009 10:17 am

Re: Missing mysql deps installing on Fedora FC11

Post by colinflack » Thu Jul 02, 2009 4:54 pm

Hi jess04

thanks for your reply.
I'm very happy to hear its a simple solution

maybe you could also define 'shortly' for me?

c.

jess04
Posts: 628
Joined: Thu Jan 15, 2009 3:37 pm

Re: Missing mysql deps installing on Fedora FC11

Post by jess04 » Thu Jul 02, 2009 5:33 pm

Hello,

Yes, pretty simple, although made slightly more complex due to the need to support several FC and RHEL versions :)
We're talking about somewhere next week.

I'll let you know as soon as we sync.
May the source be with you,

Jess Portnoy

Post Reply